Bug 69138 - Init.d scripts: [force-]reload not consistend
Init.d scripts: [force-]reload not consistend
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: basesystem (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-18 03:44 EDT by Tobias Burnus
Modified: 2014-03-16 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 12:49:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Burnus 2002-07-18 03:44:02 EDT
Description of Problem:
 It is not clear what happens if one uses "force-reload" or "reload" when
 the daemon is not running. Basically two things happen: (a) the service
 is started and (b) nothing happens.
 Please try to be consistend and to try to find a common opinion with the
 Linux Standard Base. See gLSB-Bug
https://sourceforge.net/tracker/?func=detail&aid=568246&group_id=1107&atid=101107
Comment 1 Bill Nottingham 2003-02-19 12:49:07 EST
At this point, this isn't somethign we'll change in house.
Comment 2 Tobias Burnus 2004-04-16 05:26:30 EDT
Current gLSB 2.0-pre version:
http://www.linuxbase.org/spec/book/LSB-generic/LSB-generic/iniscrptact.html

reload - cause the configuration of the service to be reloaded without
   actually stopping and restarting the service
force-reload - cause the configuration to be reloaded if the service
   supports this, otherwise restart the service if it is running

The "if it is running" makes clear that [force-]reload should not
start a service which is not running.

Note You need to log in before you can comment on or make changes to this bug.